Permalink
Browse files

~fuck you jruby

  • Loading branch information...
1 parent 5a09cc8 commit dd31b7755019f2ed56908bd4ac0439bcb15b30e6 Andrew Zinenko committed Dec 29, 2011
Showing with 4 additions and 6 deletions.
  1. +1 −1 Gemfile
  2. +1 −1 Gemfile.lock
  3. +2 −4 vk-ruby.gemspec
View
@@ -1,4 +1,4 @@
source "http://rubygems.org"
-# Specify your gem's dependencies in jetspade.gemspec
+# Specify your gem's dependencies in vk-ruby.gemspec
gemspec
View
@@ -11,7 +11,7 @@ GEM
addressable (2.2.6)
crack (0.3.1)
json (1.6.4)
- minitest (2.8.1)
+ minitest (2.10.0)
rake (0.9.2.2)
transformer (0.2.2)
webmock (1.7.8)
View
@@ -11,15 +11,13 @@ Gem::Specification.new do |gem|
gem.summary = "Ruby wrapper for vk.com API"
gem.description = " Ruby wrapper for vk.com API "
gem.homepage = "http://github.com/zinenko/vk-ruby"
- gem.date = "2011-11-23"
+ gem.date = Time.now.strftime '%Y-%m-%d'
gem.licenses = ["MIT"]
gem.extra_rdoc_files = ["LICENSE.txt", "README.md" ]
gem.add_runtime_dependency 'transformer', '~> 0.2.2'
- gem.add_runtime_dependency 'json', '~> 1.6' unless Object.const_defined?('RUBY_ENGINE') && RUBY_ENGINE =~ /jruby/
- gem.add_runtime_dependency 'jruby-openssl', '~> 0.7.4' if Object.const_defined?('RUBY_ENGINE') && RUBY_ENGINE =~ /jruby/
- gem.add_runtime_dependency 'json-jruby', '~> 1.1.7' if Object.const_defined?('RUBY_ENGINE') && RUBY_ENGINE =~ /jruby/
+ gem.add_runtime_dependency 'json', '~> 1.6'
gem.add_development_dependency 'rake', '~> 0.9'
gem.add_development_dependency 'minitest', '~> 2.8'

0 comments on commit dd31b77

Please sign in to comment.